%define name	irssi
%define version 0.7.20.1
%define release	10mdk

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Irssi is a GTK based IRC client
Copyright:		GPL
Group:			Networking/IRC
BuildRequires:	XFree86-devel ORBit-devel libPropList-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel gpm-devel ncurses-devel gnome-core zlib-devel
URL:			http://xlife.dhs.org/irssi/

Source:			http://xlife.dhs.org/irssi/files/irssi-%{version}.tar.bz2
#Source1:		irssi_menuentry
Source1:		irssi.xpm.bz2
Source2:		irssi32.xpm.bz2
Requires:		gtk+
BuildRoot:		%_tmppath/%{name}-%{version}

%description
Irssi is a GTK based GUI IRC client by Timo Sirainen <a@sicom.fi>.

More information can be found at http://www.sicom.fi/~ikioma/irssi.html.

%prep
%setup -q -n %{name}-%{version}

%build
%ifarch ppc
export CC="gcc -V`egcs-version`"
%endif
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Mandrake Menu entries
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):needs="x11" section="Networking/IRC" \
title="Irssi" \
icon="irssi.xpm" \
longtitle="A Gtk based Irc Client" \
section="Networking/IRC" \
command="irssi"
EOF

# mdk icons
install -d $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm

%post 
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog README TODO NEWS
%attr(755,root,root) %_bindir/*
%attr(644,root,root) %config(noreplace) /etc/irssi/* 
%attr(644,root,root) %config(noreplace) /etc/CORBA/servers/*
%attr(644,root,root) %_datadir/applets/Network/irssi.desktop
%attr(644,root,root) %_libdir/irssi/plugins/*.so
%attr(644,root,root) %_menudir/irssi
%{_iconsdir}

%changelog
* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-10mdk
- icons should be transparents.
- include menu entry in the body of spec file.
- more macrozifications.

* Mon Sep 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-9mdk
- add 32*32 icon for menu & replace gif icons format by xpm format.
 
* Wed Sep 20 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.20.1-8mdk
- %%config(noreplace)
- Remove stupid hard coded PATH in Menu entry
- Macros
- Use %%_tmppath for BuidRoot
- Spec clean up
- Remove french Description and Summary
- Fix typos in longtile (Menu entry)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.20.1-7mdk
- automatically added BuildRequires

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-6mdk
- change icons
- clean spec.

* Fri Apr 04 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-5mdk
- add icons

* Sat Apr 1 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-3mdk
- add menu entry

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-2mdk
- group fix

* Thu Dec 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7.20.1

* Thu Nov 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Clean up the file section (removes xmms conflict)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7.18 :
    - Authors Note :
    There's still a small bug in 0.7.18 irssi, if you
    use GtkText to print text it won't scroll down
    automatically. Solution: Use irssi text widget..
- update URL & src url
- Enable SMP check/build & add bzip2 macro

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.7.14

* Mon Jul 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild (4mdk)

* Thu Jul 15 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- --sysconfdir=/etc

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again

* Fri Apr 30 1999 Gal Duval <gael@linux-mandrake.com>
- lipstick

* Fri Apr 16 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake compliant
- Change Group to Internet

* Mon Mar 29 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.7.6.
- text mode client re-added.

* Thu Mar 25 1999 JT Traub <jtraub@dragoncat.net>
- Updated sources

* Sat Mar 13 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.7.4 sources
- Added the irssi-text bin to the package.

* Mon Feb 22 1999 JT Traub <jtraub@dragoncat.net>
- Made spec file compliant with RHCN guidelines.

* Sun Feb 13 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.6.0 sources.
- Cleaned up spec file to make it relocatable on install

* Sun Feb 7 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.5.0
- removed obsolete patch lines

* Sat Feb 3 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.4.0
- Deleted old patch line

* Sat Jan 30 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.3.6
- Updated spec to install the .desktop file.
- Removed the now obsolete patch lines

* Wed Jan 27 1999  JT Traub <jtraub@dragoncat.net>
- Upgraded to 0.3.5

* Sun Jan 24 1999  JT Traub <jtraub@dragoncat.net>
- First attempt at building this
